
-- DROP TABLE rs_factor_hdr;



CREATE TABLE rs_factor_hdr (
    object_id int NOT NULL ,
    object_last_updated_date datetime DEFAULT getdate() NOT NULL ,
    object_created_date datetime DEFAULT getdate() NOT NULL
    ,
    class_code varchar(15) NULL,
    factor_hdr_notes text NULL,
    left_annot varchar(60) NULL,
    right_annot varchar(60) NULL,
    z_score_wght numeric(20,5) NULL,
    z_score_wght_2 numeric(20,5) NULL,
    level_number numeric(12)  NULL,
    factor_number numeric(12)  NULL
    );



ALTER TABLE rs_factor_hdr ADD    
    CONSTRAINT PK_rs_factor_hdr PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_rs_factor_hdr_level_number 
    ON rs_factor_hdr (level_number);

    CREATE INDEX idx_rs_factor_hdr_factor_number 
    ON rs_factor_hdr (factor_number);
